Skip to main content
POST
Kling V2.6 Pro Text-to-Video
The Kling v2.6 Pro Text-to-Video tool generates high-quality dynamic videos from text prompts, with support for synchronized audio and video generation.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

sound
boolean
default:true
Whether to generate audio along with the video.
prompt
string
required
Positive prompt text for video generation; max 2500 characters.
duration
integer
default:5
Duration of the generated media (in seconds).Optional values: 5, 10
cfg_scale
number
Controls the flexibility of video generation; higher values make the generated content adhere more closely to the prompt.Value range: [0, 1]
aspect_ratio
string
default:"1:1"
Aspect ratio of the generated video.Optional values: 16:9, 9:16, 1:1
negative_prompt
string
Negative prompt; max 2500 characters.

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on January 8, 2026